CREATE TABLE doo_ds_group_participants (
    GROUP_PARTICIPANT_ID     NUMBER(18, 0),
    GROUP_ID                 NUMBER(18, 0)    NOT NULL,
    PARTICIPANT_ID           NUMBER(18, 0)    NOT NULL,
    PARTICIPANT_TYPE         VARCHAR2(60)     NOT NULL,
    EXCLUDE_FLAG             VARCHAR2(4)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    GROUP_PARTICIPANT_ID     NUMBER(18, 0),
    GROUP_ID                 NUMBER(18, 0)    NOT NULL,
    PARTICIPANT_ID           NUMBER(18, 0)    NOT NULL,
    PARTICIPANT_TYPE         VARCHAR2(60)     NOT NULL,
    EXCLUDE_FLAG             VARCHAR2(4)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_doo_ds_group_participants PRIMARY KEY (GROUP_PARTICIPANT_ID, GROUP_PARTICIPANT_ID)
);
